## org.omg.CORBA
Interface WstringDefOperations

All Superinterfaces:
  IDLTypeOperations, IRObjectOperations

All Known Subinterfaces:
  WstringDef

All Known Implementing Classes:
  WstringDefPOA

public interface WstringDefOperations
extends IDLTypeOperations

A WstringDef represents an IDL wide string. The unbounded wide string type is represented as a PrimitiveDef. As wide string types are anonymous, this interface is not derived from TypedefDef or Contained.

Method Summary
`int` `bound()` The bound attribute specifies the maximum number of wide characters in a wide string, and must not be zero.
`void` `bound(int value)` The bound attribute specifies the maximum number of wide characters in a wide string, and must not be zero.

Methods inherited from interface org.omg.CORBA.IDLTypeOperations
`type`

Methods inherited from interface org.omg.CORBA.IRObjectOperations
`def_kind, destroy`

Method Detail

### bound

    public int bound()

  The bound attribute specifies the maximum number of wide characters in a wide string, and must not be zero.

### bound

    public void bound(int value)

  The bound attribute specifies the maximum number of wide characters in a wide string, and must not be zero.